Bug 474766 - CPU temp shows 0
Summary: CPU temp shows 0
Status: RESOLVED FIXED
Alias: None
Product: plasma-systemmonitor
Classification: Applications
Component: general (show other bugs)
Version: 5.27.8
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-09-21 16:22 UTC by pqwoerituytrueiwoq
Modified: 2024-02-09 00:41 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.0


Attachments
sudo dmidecode >/tmp/dmidecode (6.81 KB, text/plain)
2023-09-21 16:22 UTC, pqwoerituytrueiwoq
Details
screenshot of issue (140.96 KB, image/png)
2023-09-21 16:22 UTC, pqwoerituytrueiwoq
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pqwoerituytrueiwoq 2023-09-21 16:22:14 UTC
Created attachment 161780 [details]
sudo dmidecode >/tmp/dmidecode

SUMMARY
Upon adding CPU temp to the system monitor it always hows 0.0 C


STEPS TO REPRODUCE
1. open system monitor
2. add cpu temp to cpu monitor (group or single core does not matter)
3. read cpu temp provided

OBSERVED RESULT
Fails to show CPU temp

EXPECTED RESULT
See real CPU temp 

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 
Operating System: Kubuntu 23.10
KDE Plasma Version: 5.27.8
KDE Frameworks Version: 5.110.0
Qt Version: 5.15.10
Kernel Version: 6.5.0-5-generic (64-bit)
Graphics Platform: X11
Processors: 4 × Intel® Pentium® CPU N3710 @ 1.60GHz
Memory: 3.7 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 405
Manufacturer: ASUSTeK COMPUTER INC.
Product Name: X541SA
System Version: 1.0

ADDITIONAL INFORMATION
$ cat /sys/class/thermal/thermal_zone*/temp 
45000
45000
20000
43000
36000
37000

$ sensors
asus-isa-0000
Adapter: ISA adapter
cpu_fan:     2300 RPM
temp1:       +6280.4°C  

soc_dts0-virtual-0
Adapter: Virtual device
temp1:        +35.0°C  

BAT0-acpi-0
Adapter: ACPI interface
in0:          10.80 V  

coretemp-isa-0000
Adapter: ISA adapter
Core 0:       +39.0°C  (high = +90.0°C, crit = +90.0°C)
Core 1:       +39.0°C  (high = +90.0°C, crit = +90.0°C)
Core 2:       +40.0°C  (high = +90.0°C, crit = +90.0°C)
Core 3:       +40.0°C  (high = +90.0°C, crit = +90.0°C)

soc_dts1-virtual-0
Adapter: Virtual device
temp1:        +35.0°C  

drivetemp-scsi-0-0
Adapter: SCSI adapter
temp1:        +19.0°C  

acpitz-acpi-0
Adapter: ACPI interface
temp1:        +35.0°C  (crit = +95.0°C)
temp2:        +35.0°C  (crit = +94.0°C)

$ cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 76
model name      : Intel(R) Pentium(R) CPU  N3710  @ 1.60GHz
stepping        : 4
microcode       : 0x411
cpu MHz         : 480.002
cache size      : 1024 KB
physical id     : 0
siblings        : 4
core id         : 0
cpu cores       : 4
apicid          : 0
initial apicid  : 0
fpu             : yes
fpu_exception   : yes
cpuid level     : 11
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology tsc_reliable nonstop_tsc cpuid aperfmperf tsc_known_freq pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 movbe popcnt tsc_deadline_timer aes rdrand lahf_lm 3dnowprefetch epb pti ibrs ibpb stibp tpr_shadow flexpriority ept vpid tsc_adjust smep erms dtherm ida arat vnmi md_clear
vmx flags       : vnmi preemption_timer invvpid ept_x_only flexpriority tsc_offset vtpr mtf vapic ept vpid unrestricted_guest
bugs            : cpu_meltdown spectre_v1 spectre_v2 mds msbds_only mmio_unknown
bogomips        : 3200.00
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:
Comment 1 pqwoerituytrueiwoq 2023-09-21 16:22:48 UTC
Created attachment 161781 [details]
screenshot of issue
Comment 2 Maciej Stanczew 2024-01-31 07:29:39 UTC
Can you try applying the patch from bug 438318, and then seeing if "Hardware Sensors/coretemp-isa-0000/Core 0" shows you the correct temperature?
Comment 3 pqwoerituytrueiwoq 2024-02-01 16:12:02 UTC
that says it was fixed it version 5.23, this but is present on 5.27.10-0ubuntu1 on the daily kubuntu ISO from yesterday

I have only seen this issue on this asus intel laptop (model X541S; w/ a N3710 CPU) at this time (no issue on any of my AMD based desktop)

also able to reproduce this on a Intel J2900 (acer axc-603g-uw15)

no issues with a Intel i3-2100 (old dell box)
Comment 4 Maciej Stanczew 2024-02-01 19:51:17 UTC
The "Remove blacklist in lmsensors plugin" patch is different from that bug's solution – it's was not merged into the code. If you could check that with this patch you can get the correct temperatures, it would give us another argument in favor of merging the patch.
Comment 5 pqwoerituytrueiwoq 2024-02-02 03:58:30 UTC
oh... i am not experienced with compiling (i try to avoid it cause is usually does not work whenever i try...), can i get some instructions for any distro i can boot a live for
Comment 6 Maciej Stanczew 2024-02-03 10:09:43 UTC
I don't know about setting up compilation environment in a live distro; let's drop that idea, it will be more hassle than it's worth.

Instead, can you post the output of the following two commands?
$ sensors | awk '/^coretemp/,/^$/'
$ kstatsviewer cpu/cpu0/temperature
Comment 7 pqwoerituytrueiwoq 2024-02-03 15:32:57 UTC
all sensors command was in the 1st post, the other command just hangs and gives nothing...

sensors coretemp-* would do the same thing BTW

kubuntu@kubuntu:~$ sensors coretemp-*
coretemp-isa-0000
Adapter: ISA adapter
Core 0:       +33.0°C  (high = +90.0°C, crit = +90.0°C)
Core 1:       +33.0°C  (high = +90.0°C, crit = +90.0°C)
Core 2:       +35.0°C  (high = +90.0°C, crit = +90.0°C)
Core 3:       +35.0°C  (high = +90.0°C, crit = +90.0°C)

kubuntu@kubuntu:~$ kstatsviewer cpu/cpu0/temperature
^C
kubuntu@kubuntu:~$ kstatsviewer -details cpu/cpu0/temperature
kstatsviewer: Unknown options: d, e, t, a, i, l, s.
kubuntu@kubuntu:~$ kstatsviewer --details cpu/cpu0/temperature
cpu/cpu0/temperature
    Name:        Core 1 Current Temperature
    Short Name:  Temperature
    Description: 
    Unit:        °C
    Minimum:     0
    Maximum:     0
^C
kubuntu@kubuntu:~$ kstatsviewer --details --remain cpu/cpu0/temperature
cpu/cpu0/temperature
    Name:        Core 1 Current Temperature
    Short Name:  Temperature
    Description: 
    Unit:        °C
    Minimum:     0
    Maximum:     0
Comment 8 Bug Janitor Service 2024-02-05 16:26:19 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/ksystemstats/-/merge_requests/76
Comment 9 Arjen Hiemstra 2024-02-07 14:59:08 UTC
Git commit 1dcc0d4a1fb80c3ecd7986012fe6d54bbc3497d4 by Arjen Hiemstra.
Committed on 07/02/2024 at 14:57.
Pushed by ahiemstra into branch 'master'.

cpu: Store physical ID with core ID when looking up coretemp sensors

If there are multiple CPUs, we would only consider the last CPU.
Additionally, if there is no sensors with a physical ID, we'd never
match any sensors. Now we assume we start at physical ID 0 and only
change that if we encounter a different physical ID sensor.

M  +6    -8    plugins/cpu/linuxcpuplugin.cpp

https://invent.kde.org/plasma/ksystemstats/-/commit/1dcc0d4a1fb80c3ecd7986012fe6d54bbc3497d4